package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF235Data {

    private Map<String, Object> params;
    
    public MWF235Data(Map<String, Object> params) {
        this.params = params;
    }

    public Double rsCastka() {
        return (Double) params.get("RS_CASTKA");
    }

    public java.util.Date rsDatumblokace() {
        return (java.util.Date) params.get("RS_DATUMBLOKACE");
    }

    public String rsDuvod() {
        return (String) params.get("RS_DUVOD");
    }

    public Long rsPoradovecisloblokace() {
        return (Long) params.get("RS_PORADOVECISLOBLOKACE");
    }

    public String rsTransakceprijatazamitnuta() {
        return (String) params.get("RS_TRANSAKCEPRIJATAZAMITNUTA");
    }

    public String rsTypplatby() {
        return (String) params.get("RS_TYPPLATBY");
    }

    public Long rsZbyvajicidnyblokace() {
        return (Long) params.get("RS_ZBYVAJICIDNYBLOKACE");
    }

    public Double rsCastkadual() {
        return (Double) params.get("RS_CASTKADUAL");
    }

    public java.util.Date rsCasblokace() {
        return (java.util.Date) params.get("RS_CASBLOKACE");
    }

    public String rsPopisblokace() {
        return (String) params.get("RS_POPISBLOKACE");
    }

    public String rsTypautorizace() {
        return (String) params.get("RS_TYPAUTORIZACE");
    } 

}
